XFcClientInetCommWinPriHelp class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcClientInetCommWinPriHelp Class Reference

XFcClientInetCommWinPriHelp is created for priority helpper to change inet clients priority. More...

Inheritance diagram for XFcClientInetCommWinPriHelp:

[legend]
Collaboration diagram for XFcClientInetCommWinPriHelp:

[legend]
List of all members.

## Public Member Functions

| XFcClientInetCommWinPriHelp ()
| Constructor.
virtual | ~XFcClientInetCommWinPriHelp ()
| Virtual destructor.
void | increase (void *aData)
| Increases priority.
void | decrease (void *aData)
| Decreases priority.
INT32 | priorityCheck (const void *aData1, const void *aData2) const
| Tests priority.

## Detailed Description

XFcClientInetCommWinPriHelp is created for priority helpper to change inet clients priority.

Its task is to increase or decrease inet clients priorities if they are not able to send data.

## Constructor & Destructor Documentation

XFcClientInetCommWinPriHelp::XFcClientInetCommWinPriHelp | ( |  | ) |

| Constructor.

virtual XFcClientInetCommWinPriHelp::~XFcClientInetCommWinPriHelp | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

void XFcClientInetCommWinPriHelp::decrease | ( | void * | aData | ) | `[virtual]`

Decreases priority.

Parameters:

  aData | inet client window.

Implements XFcPriorityHelp.

void XFcClientInetCommWinPriHelp::increase | ( | void * | aData | ) | `[virtual]`

Increases priority.

Parameters:

  aData | inet client window.

Implements XFcPriorityHelp.

INT32 XFcClientInetCommWinPriHelp::priorityCheck | ( | const void * | aData1,
|  | const void * | aData2
| ) | const`[virtual]`

Tests priority.

Parameters:

  aData1 | first inet client window.
  aData2 | second inet client window.

Returns:
  0 if priorities are the same, -1 if first params priority value is higher, and 1 otherwise.

Implements XFcPriorityHelp.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch